Bug 46922 - Point the desktop link to the UCS portal
Point the desktop link to the UCS portal
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Netlogon scripts
UCS@school 4.3
Other Mac OS X 10.1
: P5 normal (vote)
: UCS@school 4.3 v4
Assigned To: Sönke Schwardt-Krummrich
Ole Schwiegert
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-02 14:00 CEST by Michel Smidt
Modified: 2018-07-04 18:09 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Smidt univentionstaff 2018-05-02 14:00:33 CEST
Currently the desktop links which will be generated from the netlogon scripts point to the UMC. For further scenarios it make sense to change this by default to the UCS portal.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2018-05-24 11:11:55 CEST
The package ucs-school-netlogon-user-logon now creates a shortcut on student's and teacher's desktop that refers to the Univention Portal.

The shortcut generation can be configured via the following UCR variables:
ucsschool/userlogon/create_ucs_portal_link → boolean 
 → default: <unset> that is interpreted as "yes"

ucsschool/userlogon/portallink/link → string
 → default: <unset> that is interpreted as "https://$hostname.$domainname/"

Package: ucs-school-netlogon-user-logonscripts
Version: 14.0.1-2A~4.3.0.201805241106
Branch: ucs_4.3-0
Scope: ucs-school-4.3

ucs-school-netlogon-user-logonscripts (14.0.1-2)
dacda5807814 | Bug #46922: bump version
f1fe9974a967 | Bug #46922: Merge branch 'sschwardt/4.3/46922/portallink' into 4.3
15ee362ca5d6 | Bug #46922: add a new icon for Univention Portal shortcut
1f6369a34ae6 | Bug #46922: Merge branch 'sschwardt/4.3/46922/portallink' into 4.3
0951c610d5ed | Bug #46922: add changelog entry
11acd4db4624 | Bug #46922: add link to Univention Portal

ucs-school-netlogon-user-logonscripts.yaml
1dc0565a50e9 | Bug #46922: add advisory
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2018-05-30 21:58:57 CEST
The advisory has been extended by the following section:

Please note that a user's netlogon script is only automatically updated when 
their group memberships change. To update the netlogon scripts of all users,
the command <command>univention-directory-listener-ctrl resync 
ucs-school-user-logonscript</command> must be executed.

006ef8aca137 | Bug #46922: update advisory
Comment 3 Ole Schwiegert univentionstaff 2018-05-31 10:55:31 CEST
Link is created, UCR variables work
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2018-07-04 18:09:02 CEST
UCS@school 4.3 v4 has been released.

https://docs.software-univention.de/changelog-ucsschool-4.3v4-de.html

If this error occurs again, please clone this bug.